makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Instance Methods | Class Methods | List of all members
FinishTemplateRepository Class Reference

`#import <FeatureTemplate.h>`

Inherits NSObject.

## Instance Methods
(id) | - init
(FinishTemplate *) | - Get:
(int) | - GetCount
(void) | - Add:
(NSMutableDictionary *) | - ToJSON
(NSString *) | - ToJSONString

## Class Methods
(FinishTemplateRepository *) | + FromJSON:
(FinishTemplateRepository *) | + FromJSONString:

## Detailed Description

Contains a list of finish templates.

## Method Documentation

## ◆ Add:

- (void) Add: |  | (FinishTemplate *) | finishTemplate |

Adds new FinishTemplate object to the repository.

Parameters

  finishTemplate | FinishTemplate object

## ◆ FromJSON:

+ (FinishTemplateRepository *) FromJSON: |  | (NSDictionary *) | JSON_data |

Returns FinishTemplateRepository object out of JSON dictionary.

Parameters

  JSON_data | JSON string

Returns
  deserialized FinishTemplateRepository object

## ◆ FromJSONString:

+ (FinishTemplateRepository *) FromJSONString: |  | (NSString *) | JSON_data |

Returns FinishTemplateRepository object out of JSON string.

Parameters

  JSON_data | JSON string

Returns
  deserialized FinishTemplateRepository object

## ◆ Get:

- (FinishTemplate *) Get: |  | (int) | i |

Returns FinishTemplate object at index i.

Parameters

  i | index

Returns
  FinishTemplate object at given index

## ◆ GetCount

- (int) GetCount |  |  |

Returns total number of stored finish templates.

Returns
  the number of FinishTemplate objects in the repository

## ◆ init

- (id) init |  |  |

Initializes new FinishTemplateRepository.

## ◆ ToJSON

- (NSMutableDictionary *) ToJSON |  |  |

Returns JSON representation out of this FinishTemplateRepository object.

Returns
  JSON representation of this FinishTemplateRepository returned as NSMutableDictionary

## ◆ ToJSONString

- (NSString *) ToJSONString |  |  |

Returns JSON string out of this FinishTemplateRepository object.

Returns
  JSON representation of this FinishTemplateRepository returned as string